## org.codehaus.groovy.grails.web.servlet.mvc
Interface TokenResponseHandler

All Known Implementing Classes:
  AbstractTokenResponseHandler

    public interface TokenResponseHandler

An interface used to invoke user code that handles double or invalid submits

Since:
  1.1

  Created: Jan 8, 2009
Author:
  Graeme Rocher

Field Summary
`static String` `KEY`

Method Summary
`Object` `invalidToken(groovy.lang.Closure callable)` The method clients use in order to specify behavior in the even of an invalid token
`boolean` `wasInvalidToken()` Return whether the token was invalid
`boolean` `wasInvoked()` Return whether the response handle was invoked

Field Detail

### KEY

    static final String KEY

See Also:
  Constant Field Values

Method Detail

### invalidToken

    Object invalidToken(groovy.lang.Closure callable)

  The method clients use in order to specify behavior in the even of an invalid token

  Parameters:
    `callable` - The closure to invoke in the event of an invalid token
  Returns:
    A Grails model or null

### wasInvoked

    boolean wasInvoked()

  Return whether the response handle was invoked

  Returns:
    True if it was

### wasInvalidToken

    boolean wasInvalidToken()

  Return whether the token was invalid

  Returns:
    True if it was

Copyright (c) 2005-2009 The Grails project